Upload a JS source map

In the above example, our website is http://example.com, we have a minified JavaScript file at http://example.com/js/example.min.js, and we have a source tree like this:

example/
example/static/js/example.min.js
example/static/js/example.min.map
example/static/js/site.js
example/static/js/util.js
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example

Here's an example cURL command:

curl https://api.rollbar.com/api/1/sourcemap \
  -F access_token={access token} \
  -F version=version_string_here \
  -F minified_url=http://example.com/static/js/example.min.js \
  -F source_map=@static/js/example.min.map \
  -F static/js/site.js=@static/js/site.js \
  -F static/js/util.js=@static/js/util.js

In the above example:

  • Our website is http://example.com

  • We have a minified javascript file at
    http://example.com/js/example.min.js

  • We have a source tree like this:

    example/
    example/static/js/example.min.js
    example/static/js/example.min.map
    example/static/js/site.js
    example/static/js/util.js
    
Body Params
string
required

Current code version (typically a git SHA)

string
required

The full URL of the minified file, as it appears in the stack trace. This should start with http: or https:.

file
required

Your source map file.

file

One or more source unminified files

Headers
string
required

Use a Project Access Token with 'post_server_item' scope

Response
200

Success

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!